Installation

Examples See also History Extra
Installation

This section contains information on the following topics:
  • Notes on the installation
  • Parallel installation
  • Licensing
  • System requirements for installation
  • Installation log
  • Starting installation
  • Displaying the installed software
  • Modifying or updating installed products
  • Repairing installed products
  • Starting to uninstall
  • Installing updates and support packages
  • Installing support packages automatically
  • Installing and uninstalling the migration tool
  • Installing and uninstalling the TIA project server


Notes on the installation

Contents Installation in a virtual environment (private cloud) Automated Installation Use of the same versions of TIA Portal products during installation Target directory of the installation Security settings for the installation of WinCC Use of antivirus programs Compatibility with V12 SP1 and V13 FAQs on TIA Portal
Notes on the installation

Contents

Information that could not be included in the online help and important information about product characteristics.

Installation in a virtual environment (private cloud)

You can find instructions on how to install TIA Portal in a virtual environment (private cloud) on the installation data medium in the directory "Documents\Readme\<language directory>". You can open the PDF document "TIAPortalCloudConnectorHowTo<language ID>.pdf" here.

Automated Installation

A description of automated installation is available on the product DVD in the directory "Documents\Readme\<Language directory>".

Use of the same versions of TIA Portal products during installation

When installing different TIA Portal products, make sure that you use the same versions of service packs and updates for the installation. For example, if you have installed SP1 for STEP 7 V13, you must also install SP1 for WinCC V13. The service packs and updates must be installed for all products at the same time. Do not start TIA Portal until all products have been upgraded.

You can download the service packs from the Internet under Siemens Industry online support.

Target directory of the installation

Do not use any UNICODE characters (for example, Chinese characters) in the installation path.

The installation path cannot be changed after installing one of the TIA Portal products.

Security settings for the installation of WinCC

When you install WinCC, security settings are changed in your operating system. These security settings are listed during the installation.

You must confirm the changes to the security settings.

If you make changes to your operating system after installing it, the security settings can be changed by installing TIA Portal.

You can restore the security settings by installing TIA Portal as follows:
"Start > All Programs > Siemens Automation > Security Controller > Restore settings".

Use of antivirus programs

During the installation, read and write access to already installed files is necessary. Some antivirus programs block this access. Therefore, configure your antivirus program for the installation of TIA Portal so that access to these files is possible.

Compatibility with V12 SP1 and V13

Empty projects from previous versions are installed in the installation directory under ..\<INSTALLDIR>\Sample Projects to allow the current TIA Portal to be opened in compatibility mode. These projects must be copied to a local directory with full access before they can be used. For more information on this, refer to FAQ ID 82169157.

FAQs on TIA Portal

FAQs on TIA Portal are available under FAQs.


Parallel installation

Parallel installation of WinCC V16 and other SIMATIC HMI products Parallel use
Parallel installation

Parallel installation of WinCC V16 and other SIMATIC HMI products

Parallel installation of WinCC V16 and versions of WinCC flexible earlier than WinCC flexible 2008 SP5 is not allowed.

Parallel installation of WinCC V16 Comfort/Advanced with versions of WinCC earlier than WinCC earlier than V7.3 is not allowed.

Parallel installation of WinCC V16 with WinCC V7.3, WinCC V7.4 or WinCC V7.5 is not allowed for:

  • WinCC V16 Professional

  • WinCC V16 Runtime Professional

Parallel use

If the term "Combo" appears in the name or license key of the software after installation, the use of the following products/versions is permitted in accordance with paragraph 4.3 of the General Terms and Conditions (see also setup text):

  • With the license "STEP 7 Professional Combo": older versions of STEP 7 (STEP 7 Professional 2006 - STEP 7 Professional V16)

  • With the license "WinCC V16 Comfort Combo": WinCC flexible 2008 Standard

  • With the license "WinCC V16 Advanced Combo": WinCC flexible 2008 Advanced


Licensing

Licensing

This section contains information on the following topics:
  • Notes on licenses
  • Licensing STEP 7 and WinCC
  • Handling licenses and license keys
  • Licensing of HMI devices
  • Licensing WinCC Runtime on PC-based HMI devices
  • Licensing WinCC Runtime Professional Asian
  • STEP 7 without license for PC-CP


Notes on licenses

Availability of licenses Provision of the Automation License Manager Working with the Automation License Manager
Notes on the system requirements Starting installation Displaying the installed software Modifying or updating installed products Repairing installed products Starting to uninstall Installation log
Notes on licenses

Availability of licenses

The licenses for the products of the TIA Portal are usually supplied on an installation data medium and transferred automatically by the Automation License Manager during the installation process of the TIA Portal.

Before you uninstall the TIA Portal, you must transfer and back up the licenses still required. Use the Automation License Manager for this purpose.

Provision of the Automation License Manager

The Automation License Manager is supplied on the installation data medium and is transferred automatically during the installation process.

If you uninstall the TIA Portal, the Automation License Manager remains installed on your system.

Working with the Automation License Manager

The Automation License Manager is a product of Siemens AG, which is used for handling license keys (technical representatives of licenses).

Software products that require license keys for operation, such as the TIA Portal, register the need for license keys automatically with the Automation License Manager . If the Automation License Manager finds a valid license key for this software, the software can be used according to the license usage terms associated with this license key.

Note

For additional information on how to manage your licenses with the Automation License Manager , refer to the documentation supplied with the Automation License Manager .


Licensing STEP 7 and WinCC

Introduction Licenses Validity of license keys for older versions of STEP 7 Validity of license keys for older versions of WinCC Validity of licenses for WinCC options Starting without a valid license key License requirements for simulation Licenses for the TIA Portal Cloud Connector
Handling licenses and license keys
Licensing STEP 7 and WinCC

Introduction

You require a License Key to license the following STEP 7 editions:

  • STEP 7 Basic

  • STEP 7 Professional

You can install the corresponding License Key for STEP 7 using the Automation License Manager after the installation has been completed.

You need a License Key in WinCC for the following:

  • WinCC Engineering System

  • WinCC Runtime

  • Options for WinCC Engineering System

  • Options for WinCC Runtime system

You transfer licenses for WinCC and the WinCC add-ons after installation with the Automation License Manager.

Note

The licensee also recognizes that the software (SW) from the Microsoft Corporation or subsidiaries contains licensed software. The licensee hereby agrees to be bound by and comply with the terms of the attached license agreement between Microsoft SQL Server and End User.

Licenses

The following licenses with the corresponding License Keys are available:

  • STEP 7 Basic

  • STEP 7 Professional

  • STEP 7 Professional Combo

  • WinCC Basic

  • WinCC Comfort

  • WinCC Comfort Combo

  • WinCC Advanced

  • WinCC Advanced Combo

  • WinCC Professional

  • WinCC Professional Combo

  • WinCC Unified Comfort Engineering

  • WinCC Unified PC Engineering

  • WinCC RT Advanced

  • WinCC RT Professional

  • WinCC Unified PC

Validity of license keys for older versions of STEP 7

With a valid License Key for V15.x of STEP 7 Professional and STEP 7 Professional Combo, you can also operate older versions of STEP 7 without restrictions. The following table provides more detailed information about this:

Edition

License

Valid for

STEP 7 Basic V16.x

STEP 7 Basic

  • STEP 7 Basic V16.x

  • STEP 7 Basic V15.x

  • STEP 7 Basic V14.x

  • STEP 7 Basic V13.x

  • STEP 7 Basic V12.x

  • STEP 7 Basic V11.x

  • STEP 7 Basic V10.5

STEP 7 Professional V16.x

STEP 7 Professional

  • STEP 7 Professional V16.x

  • STEP 7 Professional V15.x

  • STEP 7 Professional V14.x

  • STEP 7 Professional V13.x

  • STEP 7 Professional V12.x

  • STEP 7 Professional V11.x

  • STEP 7 Basic V14.x

  • STEP 7 Basic V13.x

  • STEP 7 Basic V12.x

  • STEP 7 Basic V11.x

  • STEP 7 Basic V10.5

STEP 7 Professional V16.x

STEP 7 Professional Combo

  • STEP 7 Professional V16.x

  • STEP 7 Professional V15.x

  • STEP 7 Professional V14.x

  • STEP 7 Professional V13.x

  • STEP 7 Professional V12.x

  • STEP 7 Professional V11.x

  • STEP 7 Basic V14.x

  • STEP 7 Basic V13.x

  • STEP 7 Basic V12.x

  • STEP 7 Basic V11.x

  • STEP 7 Basic V10.5

  • STEP 7 V5.6

  • STEP 7 V5.5

  • STEP 7 V5.4

  • STEP 7 Professional 2017

  • STEP 7 Professional 2010

  • STEP 7 Professional 2006

Validity of license keys for older versions of WinCC

With a valid License Key for WinCC V16.x, you can also operate older versions of WinCC without restrictions.

You can find more detailed information in the following table:

WinCC Engineering System

Edition

License

Valid for

WinCC Basic V16.x

WinCC Basic

  • WinCC Basic V11.x

  • WinCC Basic V12.x

  • WinCC Basic V13.x

  • WinCC Basic V14.x

  • WinCC Basic V15.x

  • WinCC Basic V16.x

WinCC Comfort/Advanced V16.x

WinCC Comfort

  • WInCC Basic V11.x

  • WinCC Comfort V10.x

  • WinCC Comfort V11.x

  • WinCC Basic, Comfort V12.x

  • WinCC Basic, Comfort V13.x

  • WinCC Basic, Comfort V14.x

  • WinCC Basic, Comfort V15.x

  • WinCC Basic, Comfort V16.x

WinCC Comfort Combo

  • WinCC flexible Compact, Standard >= 2005

  • WInCC Basic V11.x

  • WinCC Comfort V10.x

  • WinCC Comfort V11.x

  • WinCC Basic, Comfort V12.x

  • WinCC Basic, Comfort V13.x

  • WinCC Basic, Comfort V14.x

  • WinCC Basic, Comfort V15.x

  • WinCC Basic, Comfort V16.x

WinCC Advanced

  • WInCC Basic V11.x

  • WinCC Comfort, Advanced V10.x

  • WinCC Comfort, Advanced V11.x

  • WinCC Basic, Comfort, Advanced V12.x

  • WinCC Basic, Comfort, Advanced V13.x

  • WinCC Basic, Comfort, Advanced V14.x

  • WinCC Basic, Comfort, Advanced V15.x

  • WinCC Basic, Comfort, Advanced V16.x

  • WinCC Unified Comfort V16.x

  • WinCC Unified PC V16.x

WinCC Advanced Combo

  • WinCC flexible Compact, Standard, Advanced >= 2005

  • WInCC Basic V11.x

  • WinCC Comfort, Advanced V10.x

  • WinCC Comfort, Advanced V11.x

  • WinCC Basic, Comfort, Advanced V12.x

  • WinCC Basic, Comfort, Advanced V13.x

  • WinCC Basic, Comfort, Advanced V14.x

  • WinCC Basic, Comfort, Advanced V15.x

  • WinCC Basic, Comfort, Advanced V16.x

  • WinCC Unified Comfort V16.x

  • WinCC Unified PC V16.x

WinCC Professional V16.x

WinCC Professional (512)

WinCC Professional (4096)

WinCC Professional (max.)

  • WinCC Comfort, Advanced, Professional V10.x

  • WinCC Comfort, Advanced, Professional V11.x

  • WinCC Basic, Comfort, Advanced, Professional V12.x

  • WinCC Basic, Comfort, Advanced, Professional V13.x

  • WinCC Basic, Comfort, Advanced, Professional V14.x

  • WinCC Basic, Comfort, Advanced, Professional V15.x

  • WinCC Basic, Comfort, Advanced, Professional V16.x

  • WinCC Unified Comfort V16.x

  • WinCC Unified PC V16.x

WinCC Professional (512) Combo

WinCC Professional (4096) Combo

WinCC Professional (max.) Combo

  • WinCC flexible Compact, Standard, Advanced >= 2008 SP3

  • WinCC SCADA V7.0 SP3 ES

  • WinCC Comfort, Advanced, Professional V10.x

  • WinCC Comfort, Advanced, Professional V11.x

  • WinCC Basic, Comfort, Advanced, Professional V12.x

  • WinCC Basic, Comfort, Advanced, Professional V13.x

  • WinCC Basic, Comfort, Advanced, Professional V14.x

  • WinCC Basic, Comfort, Advanced, Professional V15.x

  • WinCC Basic, Comfort, Advanced, Professional V16.x

  • WinCC Unified Comfort V16.x

  • WinCC Unified PC V16.x

WinCC Unified Comfort V16.x

WinCC Unified Comfort ES

  • WInCC Basic V11.x

  • WinCC Comfort V10.x

  • WinCC Comfort V11.x

  • WinCC Basic, Comfort V12.x

  • WinCC Basic, Comfort V13.x

  • WinCC Basic, Comfort V14.x

  • WinCC Basic, Comfort V15.x

  • WinCC Basic, Comfort V16.x

  • WinCC Unified Comfort V16.x

WinCC Unified PC V16.x

WinCC Unified PC (10k) ES

  • WinCC Basic V11.x

  • WinCC Comfort, Advanced V10.x

  • WinCC Comfort, Advanced V11.x

  • WinCC Basic, Comfort, Advanced V12.x

  • WinCC Basic, Comfort, Advanced V13.x

  • WinCC Basic, Comfort, Advanced V14.x

  • WinCC Basic, Comfort, Advanced V15.x

  • WinCC Basic, Comfort, Advanced V16.x

  • WinCC Unified PC V16.x

WinCC Unified PC (100k) ES

WinCC Unified PC (max.) ES

  • WinCC Comfort, Advanced, Professional V10.x

  • WinCC Comfort, Advanced, Professional V11.x

  • WinCC Basic, Comfort, Advanced, Professional V12.x

  • WinCC Basic, Comfort, Advanced, Professional V13.x

  • WinCC Basic, Comfort, Advanced, Professional V14.x

  • WinCC Basic, Comfort, Advanced, Professional V15.x

  • WinCC Basic, Comfort, Advanced, Professional V16.x

  • WinCC Unified PC V16.x

WinCC Runtime

Edition

License

Valid for

WinCC RT Advanced V16.x

WinCC RT Advanced (128)

WinCC RT Advanced (512)

WinCC RT Advanced (2048)

WinCC RT Advanced (4096)

WinCC RT Advanced (8192)

WinCC RT Advanced (16384)

  • WinCC RT Advanced V11.x

  • WinCC RT Advanced V12.x

  • WinCC RT Advanced V13.x

  • WinCC RT Advanced V14.x

  • WinCC RT Advanced V15.x

  • WinCC RT Advanced V16.x

WinCC RT Professional V16.x

WinCC RT Professional (128)

WinCC RT Professional (512)

WinCC RT Professional (2048)

WinCC RT Professional (4096)

WinCC RT Professional (8192)

WinCC RT Professional (65536)

WinCC RT Professional (102400)

WinCC RT Professional (153600)

WinCC RT Professional (262144)

  • WinCC RT Professional V11.x

  • WinCC RT Professional V12.x

  • WinCC RT Professional V13.x

  • WinCC RT Professional V14.x

  • WinCC RT Professional V15.x

  • WinCC RT Professional V16.x

WinCC Unified PC V16.x

WinCC Unified PC (150) RT

WinCC Unified PC (500) RT

WinCC Unified PC (1k) RT

WinCC Unified PC (2,5k) RT

WinCC Unified PC (5k) RT

WinCC Unified PC (10k) RT

WinCC Unified PC (50k) RT

WinCC Unified PC (100k) RT

WinCC Unified PC (max.) RT

  • WinCC Unified PC V16.x

Validity of licenses for WinCC options

WinCC options generally have version-independent License Keys. You can use WinCC options V16.x with V11, V12, V13, V14 and V15 License Keys and vice versa.

Starting without a valid license key

If you start the TIA Portal without a valid License Key , the system alerts you that you are working in non-licensed mode. You have the one-time option of activating a Trial License. However, this license is valid for a limited period only and expires after 21 days.

When the Trial License expires, the following scenarios can occur:

  • TIA Portal has never been licensed on the PC in question:

    • No license-based actions can be performed in the TIA Portal.

  • TIA Portal was already licensed on the PC in question:

    • A window requiring acknowledgment presents an alert for non-licensed mode every 10 minutes and for every action requiring a license.

License requirements for simulation

You do not require additional licenses when you use the menu command "Online > Simulation" to start the simulation in STEP 7.

If the following conditions are met, the appropriate licenses for the edition of STEP 7 you have installed are also required for the simulation.

  • The engineering station is connected to a PLC.

  • The connection to the PLC is configured and active.

If you start simulation in WinCC using the menu command "Online > Simulation > With tag simulator", you do not need licenses for WinCC Runtime or for licensed options.

If the following conditions are fulfilled, you also need the appropriate licenses for WinCC Runtime and for licensed options for the simulation:

  • The engineering station is connected to a PLC.

  • The connection to the PLC is configured and active.

  • Start the simulator with the menu command "Online > Simulation".

Licenses for the TIA Portal Cloud Connector

For working with the TIA Portal Cloud Connector, you need a valid License Key for each device that you specify as "User device" in the TIA Portal Cloud Connector. The License Key is also required if the TIA Portal is installed on this device. A License Key is not required for devices that you are using as "remote device".


Handling licenses and license keys

Introduction Trial License Installing license keys for STEP 7 Installing license keys for WinCC Transferring license keys to the HMI device Uninstalling license keys Modification to the data media of the engineering system Backup of backup devices (Backup/Restore) Invalid license after time zone change Defective license Microsoft SQL Server
Licensing STEP 7 and WinCC
Handling licenses and license keys

Introduction

You need a valid a License Key in each case to use STEP 7 Basic, STEP 7 Professional as well as WinCC Engineering System, options for WinCC Engineering System and WinCC Runtime.

Notice

Destruction of license keys by copying

A License Key cannot be copied. The copy protection prevents the License Keys from being copied. If you attempt to copy a License Key, it will be destroyed.

Trial License

If you start the TIA Portal without a valid License Key, the system alerts you that you are working in non-licensed mode. You can activate a trial license once. The trial license expires after 21 days.

If the trial license has expired, the following situations may occur:

  • TIA Portal has never been licensed on the PC in question:

    The TIA Portal cannot be started.

  • TIA Portal was already licensed on the PC in question:

    TIA Portal can be started. Non-licensed mode is indicated every 10 minutes by a window, which you must acknowledge.

Installing license keys for STEP 7

When you install STEP 7 Basic, the License Key is installed automatically during setup. When you install STEP 7 Professional, you are prompted at the end of the setup to transfer the license from the supplied storage medium to your PC using the Automation License Manager.

If you want to install additional License Keys, you have to use the Automation License Manager to do this.

When you transfer a license, the associated License Key is removed from the License Keys storage location.

Note

Following installation, always keep the original storage location of the License Keys.

Installing license keys for WinCC

When you install WinCC Basic, the License Key is installed automatically during setup. When you install WinCC Professional, you are prompted at the end of the setup to transfer the license from the supplied storage medium to your PC using the Automation License Manager.

You need additional License Keys to use WinCC Runtime or simulation on the Engineering-PC with the menu command "Online > Simulation > Start". You need to use Automation License Manager for this.

When you transfer a license, the associated License Key is removed from the License Keys storage location.

Note

Following installation, always keep the original storage location of the License Keys.

Transferring license keys to the HMI device

You must transfer the License Keys to the HMI device to operate WinCC.

You transfer a License Key to the HMI device in the following cases:

  • To operate WinCC Runtime

  • To use add-ons for WinCC Runtime

When you transfer a license to an HMI device, the associated License Key is removed from the License Keys storage location.

If you no longer need the license or want to back up data, you must transfer the License Keys from the operator panel. You can then use this license on another PC or HMI device.

Uninstalling license keys

License Keys are always uninstalled using the Automation License Manager. You uninstall a License Key in the following cases:

  • When backing up data.

  • If you no longer require the license.

You can also use a valid license on another PC.

Modification to the data media of the engineering system

Modifying the data medium of the engineering system can destroy the License Key. To do this before such modifications, open the Automation License Manager and back up License Key to be uninstalled to another storage location.

Notice

Destruction of license keys on PCs

First, uninstall all License Keys if you do one of the following:

  • Format the hard disk

  • Compress the hard disk

  • Restore the hard disk

  • Start an optimization program that moves fixed blocks

  • Install a new operating system

Read the description of Automation License Manager ("Start > Siemens Automation > Documentation"). Observe all warnings and notices.

Backup of backup devices (Backup/Restore)

When backing up data on the HMI device, remove the License Keys on the HMI device. To do this, open the Automation License Manager and back up the uninstalled License Key to another storage location.

Notice

Destruction of license keys on non-PC-based HMI devices

License keys transferred as a result of backup/restore operations are destroyed in the case of the following HMI devices:

  • 270 series

  • 370 series

Carry out the following before beginning a restore operation:

  • Use the Automation License Manager and ProSave to check if there are License Keys on the HMI device.

  • Transfer the existing License Keys from the HMI device.

    After restoring has been carried out, transfer the License Keys back to the HMI device.

Invalid license after time zone change

The installed licenses will no longer work if you change the time zone on a PC as follows: From a full-hour time zone to a time zone that is not based on a full hour.

To avoid this inconvenience, uninstall the License Key with the Automation License Manager under the time zone setting that was set when the License Keys was installed.

Example: You want to use the HMI device from the time zone "GMT +3:00" in the time zone "GMT +3:30".

  1. Uninstall the License Key with the time zone setting "GMT +3:00".

  2. Change the time zone settings accordingly on your PC.

  3. Install the License Key.

This behavior does not apply to the trial license.

Defective license

A license is defective in the following cases:

  • If the License Key is no longer accessible at the storage area.

  • If the License Key disappears during its transfer to the destination drive.

Note

If you reset the system date to an earlier time, all licenses are invalidated.

You can use the Automation License Manager to repair the defective license. Use the "Restore" function or the "Restore wizard" of the Automation License Manager for this purpose. Contact Customer Support to restore them. You can find more detailed information on the Internet: http://support.automation.siemens.com

Note

Runtime can also be operated without errors if the license is missing or defective. The system alerts you at brief intervals that you are working in non-licensed mode.

Microsoft SQL Server

A license is required for use of the Microsoft SQL Server database. The license is included in a properly licensed and installed version of WinCC.

The SQL Server which is licensed with the installation of WinCC must only be used in connection with WinCC.

Its use for other purposes requires an additional license. These include, for example:

  • Use for custom databases

  • Use for third-party applications

  • Use of SQL access mechanisms which are not provided via WinCC.

Uninstalling

After uninstalling WinCC, you must uninstall the "WinCC" SQL server instance. To do this, under "Control Panel > Programs" select the entry "Microsoft SQL Server 20.." and uninstall it.


Licensing of HMI devices

License key Notes on handling licenses Non-licensed mode
Licensing of HMI devices

Non-PC-based HMI devices are equipped with Runtime licenses. A License Key is not required for runtime operation.

A license may be required for an add-on for non-PC-based HMI devices. The License Key of the respective license always activates one add-on for use.

License key

In order to license non-PC-based HMI devices with License Keys, the "SIMATIC HMI License Manager Panel Plugin" add-on is needed.

WinCC Setup installs this add-on by default. You open the License Manager Panel Plugin in the Automation License Manager with the "Edit > Connect Target System > Connect HMI Device" menu command.

If WinCC is not installed, an installation of ProSave 7.2 or higher is required.

Notes on handling licenses

  • Further information on license handling can be found in the Automation License Manager help.

  • Verify that the current version of the operating system (or higher) is installed on the HMI device before you start licensing. If necessary, update the operating system using ProSave.

  • The licensee also recognizes that the software (SW) from the Microsoft Corporation or subsidiaries contains licensed software. The licensee hereby agrees to be bound by and comply with the terms of the attached license agreement between Microsoft SQL Server and End User.

Non-licensed mode

Runtime add-ons can be used for a short time without restrictions without a valid license. Non-licensed mode is indicated every 10 minutes by a window, which you must acknowledge.


Licensing WinCC Runtime on PC-based HMI devices

License key Notes on handling licenses Non-licensed mode
Licensing WinCC Runtime on PC-based HMI devices

License key

With PC-based HMI devices, you require a license key for the following:

  • WinCC Runtime with 128 tags, for example.

  • WinCC add-ons

You can install the license key for WinCC Runtime during the installation of WinCC. You transfer licenses for the WinCC add-ons after installation with the Automation License Manager.

Note

Only the Certificate of License for WinCC Runtime V15.1 authorizes operation of WinCC Runtime V15.1

The appropriate new license is required to license WinCC Runtime.

You can upgrade the runtime licenses of WinCC flexible 2008 and WinCC V7 with an upgrade to WinCC Runtime V15.1.

Productive operation of the software is only allowed with a valid Certificate of License that matches the version listed on it.

Notes on handling licenses

  • When you upgrade an older version to version V15, you need new licenses for WinCC Runtime Professional.

  • The licensee also recognizes that the software (SW) from the Microsoft Corporation or subsidiaries contains licensed software. The licensee hereby agrees to accept the terms of the accompanying license agreement between Microsoft SQL Server and end users and to abide by them.

Non-licensed mode

WinCC Runtime and the Runtime add-ons can be used freely without license. Non-licensed mode is indicated every 10 minutes by a window, which you must acknowledge.


Licensing WinCC Runtime Professional Asian

Introduction Using the dongle for an Asian Runtime Professional Simulation of a WinCC project in an Asian language
Licensing WinCC Runtime Professional Asian

Introduction

If you are using WinCC Runtime Professional in an Asian language, a dongle is additionally used for the validation of the required license. The dongle comes in the form of a certified USB stick together with the required license key for WinCC Runtime Professional Asian. The license key is stored on the certified USB flash drive.

The following Asian languages are protected by a dongle:

  • Chinese Simplified

  • Chinese Traditional

  • Japanese

  • Korean

Using the dongle for an Asian Runtime Professional

In order to successfully license a WinCC project in an Asian language, transfer the required license key from the certified USB stick to the HMI device using the "Automation License Manager". Plug the USB into the USB port of the HMI device. The USB stick acts as a dongle during runtime. The dongle must always remain plugged in the USB port in during runtime.

If you remove the dongle during runtime, WinCC Runtime switch to Demo mode.

The USB sticks supplied for the Asian markets are certified for permanent use in production. Therefore, you cannot transfer or copy the content to another disk or USB medium. If you lose the certified USB stick or it becomes defective, you need a new, certified USB stick.

Simulation of a WinCC project in an Asian language

You then also need a certified USB stick as dongle for the simulation. If no dongle is available, the simulation runs in Demo mode.


STEP 7 without license for PC-CP

Functions of STEP 7 for PC-CP Information system Upgrading to the range of functions of STEP 7 Professional
STEP 7 without license for PC-CP

Functions of STEP 7 for PC-CP

STEP 7 for PC-CP is a full version of STEP 7 that was installed without license. This version only supports configuration and diagnostic options for the following components:

  • PC-CPs and applications (OPC server) for PC stations

  • SCALANCE X switches

  • SCALANCE W / SCALANCE M routers

  • SCALANCE S security module

  • PROFINET IO devices and PROFIBUS DP slaves

  • IE/PB LINK PN IO, IWLAN/PB LINK PN IO

  • Readers (RFID) and optical readers (MV)

SIMATIC stations and WinAC components are only available in the network and topology view (no device view). Programming functions are not available.

Information system

The information system for PC-CP available in STEP 7 describes the full scope of STEP 7 functions. You should therefore remember that the functions are restricted to the configuration of the previously listed device groups.

Upgrading to the range of functions of STEP 7 Professional

The full scope of STEP 7 functions is already available on your engineering station with the installation of STEP 7 for PC-CP, although its use is restricted.

By installing a license later, you can upgrade at any time to the full functionality of STEP 7. There is no need for a new installation. Any projects created previously in STEP 7 for PC-CP can still be used without restrictions once a license is installed.


System requirements for installation

System requirements for installation

This section contains information on the following topics:
  • Notes on the system requirements
  • General software and hardware requirements
  • Product-specific special characteristics


Notes on the system requirements

System requirements for individual products Displaying PDF files Displaying the Welcome Tour Windows 7 and Windows Server 2008 R2: Invalid certificate validation Note for installation under Windows 7 Windows 10: Character sets
Notes on licenses Starting installation Displaying the installed software Modifying or updating installed products Repairing installed products Starting to uninstall
Notes on the system requirements

System requirements for individual products

The system requirements might differ depending on the products you want to install. You should therefore check the individual system requirements of your products.

If you want to install several products, make sure that your system meets the demands of the product with the highest requirements.

Displaying PDF files

To be able to read the supplied PDF files, you require a PDF reader that is compatible with PDF 1.7 e.g. Adobe (R) Reader version 9.

Displaying the Welcome Tour

You need the Adobe (R) Flash Player Version 9 or higher to start the Welcome Tour for TIA Portal.

Windows 7 and Windows Server 2008 R2: Invalid certificate validation

The new certificates used for signing might not be validated on the Windows 7 and Windows Server 2008 R2 operating systems.

If you do not have the possibility to update the certificate store online, the signature of the product files is displayed as invalid. In this case, update the root certificates provided by Microsoft on the offline systems. To do so, follow the instructions in FAQ 109748887.

Note for installation under Windows 7

TIA Portal can only be run on Windows systems that support the secure hash algorithm "SHA-2". "SHA-2" is only supported under Windows 7 once a security update has been installed (KB 3033929). Therefore, make sure that the latest Windows security updates are installed on your system.

Windows 10: Character sets

Since Windows 10 Update Version 1809, Windows allows the installation of character sets either with administrator rights for each user (command "Install for all users" in the context menu) or for specific users. In order to use WinCC character sets without restrictions and load them onto an operator panel, the character sets must always be installed with administrator rights.

Note that the "Install" button in the view of a character set only initiates a user-specific installation.


General software and hardware requirements

System requirements for installation Recommended PC hardware Supported virtualization platforms Supported security programs
Notes on licenses Starting installation Checking availability of updates and support packages and installing them Displaying the installed software Modifying or updating installed products Repairing installed products Starting to uninstall
General software and hardware requirements

System requirements for installation

The following table shows the minimum software and hardware requirements that have to be met for the installation:

Hardware/software

Requirement

Processor

Intel® Core™ i3-6100U, 2.30 GHz

RAM

8 GB

Hard disk

S-ATA with at least 20 GB available space

Network

From 100 Mbit

Screen resolution

1024 x 768

Operating systems *

Windows 7 (64-bit) ***

  • Windows 7 Home Premium SP1 **

  • Windows 7 Professional SP1

  • Windows 7 Enterprise SP1

  • Windows 7 Ultimate SP1

Windows 10 (64-bit)

  • Windows 10 Home Version 1809 **

  • Windows 10 Home Version 1903 **

  • Windows 10 Professional Version 1809

  • Windows 10 Professional Version 1903

  • Windows 10 Enterprise Version 1809

  • Windows 10 Enterprise Version 1903

  • Windows 10 IoT Enterprise 2015 LTSB

  • Windows 10 IoT Enterprise 2016 LTSB

  • Windows 10 IoT Enterprise 2019 LTSC

Windows Server (64-bit)

  • Windows Server 2012 R2 StdE (full installation)

  • Windows Server 2016 Standard (full installation)

  • Windows Server 2019 Standard (complete installation)

* Including all security updates up to Microsoft Security Bulletin Summary for August 2019 (MS19-Aug). For more detailed information on operating systems, refer to the help on Microsoft Windows or the Microsoft Web site.

** Only for Basic editions

*** Not for STEP7 Professional - WinCC Professional

Note

End of extended support for Windows 7

Note that Microsoft will no longer provide security updates or support for PCs running Windows 7 after end of extended support for Windows 7. You can still install the software.

Some protocols might also support additional Windows versions. You can find more information in the product-specific requirements or check the compatibility with the compatibility tool. The compatibility tool is available on the Internet at https://support.industry.siemens.com/kompatool/pages/main/index.jsf?.

Recommended PC hardware

The following table shows the recommended hardware requirements:

Hardware/software | Requirement
Computer | SIMATIC FIELD PG M5 Advanced or higher (or comparable PC)
Processor | Intel® Core™ i5-6440EQ (up to 3.4 GHz)
RAM | 16 GB or more (32 GB for large projects)
Hard disk | SSD with at least 50 GB available memory space
Network | 1 GBit (for multiuser)
Monitor | 15.6" Full HD Display (1920 x 1080 or higher)

Supported virtualization platforms

You can install the software packages "SIMATIC STEP 7" and "SIMATIC WinCC" on a virtual machine. For this purpose, use one of the following virtualization platforms in the specified version or a newer version:

  • VMware vSphere Hypervisor (ESXi) 6.5 or higher

  • VMware Workstation 15.0.2 or higher

  • VMware Player 15.0.2 or higher

  • Microsoft Hyper-V Server 2016 or higher

The following operating systems are recommended as host operating systems for these virtualization platforms:

Operating system | VMware vSphere Hypervisor (ESXi) | VMware Workstation | VMware Player | Microsoft Hyper-V
Windows Server 2016 Standard (full installation) | - | - | - | x
Windows Server 2019 Standard (complete installation) | - | - | - | x
Windows 7 Professional SP1 | x | x | x | -
Windows 7 Enterprise SP1 | x | x | x | -
Windows 7 Ultimate SP1 | x | x | x | -
Windows 10 Professional Version 1809 and 1903 | x | x | x | -
Windows 10 Enterprise Version 1809 and 1903 | x | x | x | -
Windows 10 (IoT) Enterprise 2015 LTSB | x | x | x | -
Windows 10 (IoT) Enterprise 2016 LTSB | x | x | x | -
Windows 10 (IoT) Enterprise 2019 LTSC | x | x | x | -
x: Can be used as host operating system -: Cannot be used as the host operating system

The following guest operating systems are recommended for installation within the selected virtualization platform:

Operating system | VMware vSphere Hypervisor (ESXi) | VMware Workstation | VMware Player | Microsoft Hyper-V
Windows Server 2012 R2 StdE (full installation) | - | - | - | x
Windows Server 2016 Standard (full installation) | - | - | - | x
Windows Server 2019 Standard (complete installation) | - | - | - | x
Windows 7 Professional SP1 | x | x | x | x
Windows 7 Enterprise SP1 | x | x | x | x
Windows 7 Ultimate SP1 | x | x | x | x
Windows 10 Professional Version 1809 and 1903 | x | x | x | x
Windows 10 Enterprise Version 1809 and 1903 | x | x | x | x
Windows 10 (IoT) Enterprise 2015 LTSB | x | x | x | x
Windows 10 (IoT) Enterprise 2016 LTSB | x | x | x | x
Windows 10 (IoT) Enterprise 2019 LTSC | x | x | x | x
x: Can be used as guest operating system -: Cannot be used as the guest operating system

Note

  • The same hardware requirements apply to the host operating system as for the respective TIA products.

  • The plant operator must ensure that sufficient system resources are available for the host operating systems.

  • The hardware certified by the manufacturers is recommended for the use of HyperV server and ESXi.

  • When you use Microsoft Hyper-V, accessible stations cannot be displayed.

Supported security programs

The following security programs are compatible with "SIMATIC STEP 7 Basic" and "SIMATIC WinCC":

  • Antivirus programs:

    • Symantec Endpoint Protection 14

    • Trend Micro Office Scan 12.0

    • McAfee Endpoint Security (ENS) 10.5

    • Kaspersky Endpoint Security 11.1

    • Windows Defender

    • Qihoo 360 "Safe Guard 11.5" + "Virus Scanner"

    Note

    Make sure that your virus scanner and its databases are always up-to-date.

    The last update of the virus pattern was on 02 Sept. 2019.

  • Encryption software:

    • Microsoft Bitlocker

  • Host-based Intrusion Detection System:

    • McAfee Application Control 8.0


Product-specific special characteristics

Product-specific special characteristics

This section contains information on the following topics:
  • Installation of WinCC Runtime Professional
  • Removing an SQL instance
  • Notes on installing TIA Portal Teamcenter Gateway


Installation of WinCC Runtime Professional

Installation in domains and workgroups Operation on a network server Windows computer name Activating remote communication
Installation of WinCC Runtime Professional

Installation in domains and workgroups

WinCC is generally approved for operation in a domain or workgroup.

However, be aware that domain group policies and restrictions of the domain might hinder the installation. In this case, remove the computer from the domain before installing Microsoft Message Queuing, Microsoft SQL Server and WinCC. Log on to the local machine with administrator rights. Perform the installation. After successful installation, you can restore the WinCC computer to the domain. If the domain group policies and restrictions of the domain do not impede the installation, the computer need not be removed from the domain during the installation.

Be aware that domain group policies and restrictions of the domain might also hinder operation. If you cannot avoid these restrictions, run the WinCC computer in a workgroup.

Consult with the domain administrator if needed.

Operation on a network server

Operation of WinCC Runtime Professional on a network server (e.g. domain controller, file server, name utility server, router, software firewall, media server, exchange server) is not permitted.

Windows computer name

Do not change the Windows computer name after installing WinCC.

If you change the Windows computer name, you must uninstall the SQL server and reinstall it.

The following characters are not permitted for the computer name:

  • . , ; : ! ? " ' ^ ´ ` ~ _

  • + = / \ ¦ @ * # $ % & § °

  • ( ) [ ] { } < >

  • Blanks

Follow these recommendations when assigning the Windows computer name:

  • Only uppercase letters can be used.

  • The first character must be a letter.

  • The first 12 characters of the computer name must be unique.

Activating remote communication

On WinCC systems, remote communication in the dialog "Simatic Shell" is deactivated by default after installation. You have to activate remote communication for the computers involved for the following applications:

  • Loading Runtime onto another PC

  • Client to server communication

  • Redundant system

  • WinCC option "WebNavigator"

    If the WebNavigator client is not running on the same computer as the WebNavigator server, remote communication must be activated.

To enable remote access, follow these steps:

  1. Open the communication settings in Windows Explorer using the shortcut menu of Simatic Shell.

  2. Activate the option "Remote communication".

  3. Configure encrypted communication in the network: Select the pre-shared key and the port.

  4. Select the network adapter and, if necessary, the multicast settings.


Removing an SQL instance

Contents Uninstalling an SQL instance
Removing an SQL instance

Contents

With the installation of WinCC V16, a new WINCC SQL 2016 SP2 instance is installed.

If you have already installed a version of WinCC Runtime Professional, you have to either

  • first install WinCC Runtime Professional V16, or

  • uninstall older instances of "WINCC" on the SQL Server before you install WinCC Professional V16.

Note

By removing WinCC Runtime Professional or WinCC Professional you do not remove the instance of the SQL server.

Uninstalling an SQL instance

The following procedure shows an example of uninstalling the instance of Microsoft SQL Server 2008 R2.

  1. Open the Control Panel.

  2. Click "Remove program".

  3. Select "Microsoft SQL Server 2008 R2" in the list of programs installed and click "Remove/change".

  4. In the "SQL Server 2008 R2" dialog, click "Remove".

  5. In the "Setup Support Rules" dialog, click "OK".

  6. In the "Select Instance" dialog, select the "WINCC" instance and click "Next".

  7. In the "Select Features" dialog, click "Select All" and then "Next".

  8. In the "Removal Rules" dialog, click "Next".

  9. In the "Ready to Remove" dialog, click "Remove".

  10. After removal is complete, click "Close" in the "Complete" dialog.

The procedure for uninstalling an instance of SQL Server 2005 or SQL Server 2014 is similar.


Notes on installing TIA Portal Teamcenter Gateway

Introduction Requirements for installation Installation of the TIA Portal Teamcenter Gateway - data model Identical TIA Portal versions during installation Installation path Antivirus programs
Notes on installing TIA Portal Teamcenter Gateway

Introduction

You can install the TIA Portal Teamcenter Gateway as follows:

  • Together with the installation of the TIA Portal

    Note

    Administrator rights are required for the server installation.

Requirements for installation

Your computer must have:

  • Teamcenter Rich Application Client (referred to as "RAC" below) or Teamcenter Client Communication System (TCCS) version 11.2 or higher installed.

    Note

    If TCCS was installed as "standalone", you must also install "Microsoft Visual C++ 2013 – Redistributable". This ensures that you can establish a connection between TIA Portal and TIA Portal Teamcenter Gateway.

  • A connection from FCC/FMS (FileClientCache/FileManagementSystem) to "Teamcenter Server 11.2 or higher" must exist.

    Note

    • After a reinstallation or a restart, check whether a connection is available from FCC/FMS (FileClientCache/FileManagementSystem) to the "Teamcenter Server 11.2 or higher".

    • After a reinstallation or a restart, check the registry key. You can find additional information on checking the registry key in the "TIA Portal Teamcenter Gateway" online help in the section Installing and uninstalling TIA Portal Teamcenter Gateway" > "Checking the installation of TIA Portal Teamcenter Gateway".

    • After a re-installation or restart, check whether you can save an item type in Teamcenter and if you can add a dataset to the item revision. Additional information on saving element types is available in the "TIA Portal Teamcenter Gateway" online help in the chapter "Managing TIA Portal projects with TIA Portal Teamcenter Gateway" in the section "Saving a TIA Portal project as new item in Teamcenter".

    • After a reinstallation or a restart, check that a data transfer from Teamcenter Rich Application Client to the Teamcenter server is possible.

  • The supplied data model consisting of several files must be installed on the Teamcenter server.

Installation of the TIA Portal Teamcenter Gateway - data model

Installation of the supplied TIA Portal Teamcenter Gateway data model must be performed with the "Environment Manager".

You can find a description of the installation on the product DVD in the directory "\Support\Teamcenter_11\ServerSetupDocument\".

Identical TIA Portal versions during installation

When installing different TIA Portal products, make sure that you use the same versions of service packs and updates for the installation.

If you have installed TIA Portal V14 or higher, for example, you also have to install TIA Portal Teamcenter Gateway V14 or higher.

Installation path

Do not use any UNICODE characters (for example, Chinese characters) in the installation path.

Antivirus programs

During the installation, read and write access to installed files is necessary. Some antivirus programs block this access. We therefore recommend that you disable antivirus programs during the installation of the TIA Portal Teamcenter Gateway and enable them again afterwards.


Installation log

Function of the installation log Installation logs storage location Setup_Report (CAB file)
Notes on licenses Starting installation Checking availability of updates and support packages and installing them Displaying the installed software Modifying or updating installed products Repairing installed products Starting to uninstall
Installation log

Function of the installation log

The progress during the following installation processes is logged in a file:

  • Installing products

  • Modifying or updating already installed products

  • Repairing an existing installation

  • Uninstalling products

If errors occur during the installation process or warnings are issued, these can be evaluated with the help of the log file. You can do this yourself or contact product support.

Installation logs storage location

The log file is the most recent file with the file extension ".log" and the name of which that starts with "SIA".

The location of the log file is stored in the environment variable "%autinstlog%". You can enter this environment variable in the address bar of Windows Explorer to open the folder with the log files. Alternatively, you can navigate to the corresponding directory by entering "CD %autinstlog%" in the command line.

The storage location is dependent on the operating system, e.g. "C:\ProgramData\Siemens\Automation\Logfiles\Setup" in English-language Windows.

Setup_Report (CAB file)

To make it easier to provide Product Support with all necessary files, an archive file that contains the installation log and all other required files is saved in CAB format. This log can be found at "%autinstlog%\Reports\Setup_report.cab". Send this CAB file to Product Support if you need assistance with installation. With this information, Product Support can determine whether the installation was executed properly. CAB files that were generated during earlier installation processes are saved with a date ID in the "Reports" directory.


Starting installation

Introduction Requirement Procedure Result
Installation log Notes on the system requirements Notes on licenses Displaying the installed software Modifying or updating installed products Repairing installed products Starting to uninstall
Starting installation

Introduction

Software packages are installed automatically by the setup program. The setup program starts once the installation medium has been inserted in the drive.

Requirement

  • Hardware and software of the programming device or PC meet the system requirements.

  • You have administrator privileges on your computer.

  • All running programs are closed.

Procedure

To install the software packages, follow these steps:

  1. Insert the installation medium in the relevant drive.

    The setup program starts automatically unless you have disabled Autostart on the programming device or PC.

  2. If the setup program does not start up automatically, start it manually by double-clicking the "Start.exe" file.

    The dialog for selecting the setup language opens.

  3. Choose the language in which you want the setup program dialogs to be displayed.

  4. To read the information on the product and installation, click "Read Notes" or "Installation Notes".

    The help file containing the notes opens.

  5. Once you have read the notes, close the help file and click "Next".

    The dialog for selecting the product languages opens.

  6. Select the languages for the product user interface, and click "Next".

    Note

    "English" is always installed as the basic product language.

    The dialog for selecting the product configuration opens.

  7. Select the products you want to install:

    • If you wish to install the program in a minimal configuration, click "Minimal".

    • If you wish to install the program in a typical configuration, click "Typical".

    • If you wish to personally select the products to be installed, click "User-defined". Then select the check boxes for the products you wish to install.

  8. If you want to create a shortcut on the desktop, select the "Create desktop shortcut" check box.

  9. Click "Browse" if you want to change the target directory for the installation.

    Note

    Please note the following:

    • The length of the installation path must not exceed 89 characters.

    • You can only change the installation path if no other product from the software package which you intend to install, has been installed, yet.

    • To increase security, select a directory that is protected by administrative rights as the target directory.

  10. Click "Next".

    The dialog for the license terms opens.

  11. To continue the installation, read and accept all license agreements and click "Next".

    If changes to the security and permission settings are required in order to install the TIA Portal, the security settings dialog opens.

  12. To continue the installation, accept the changes to the security and permissions settings, and click "Next".

    The next dialog displays an overview of the installation settings.

  13. Check the selected installation settings. If you want to make any changes, click "Back" until you reach the point in the dialog where you want to make changes. Once you have completed the desired changes, return to the overview by clicking on "Next".

  14. Click "Install".

    Installation is started.

    Note

    If no license key is found during installation, you have the chance to transfer it to your PC. If you skip the license transfer, you can register it later with the Automation License Manager.

    Following installation, you will receive a message indicating whether the installation was successful.

  15. It may be necessary to restart the computer. If this is the case, select the "Yes, restart my computer now.". Then click "Restart".

  16. If the computer does not reboot, click "Exit".

Result

The TIA Portal along with the products and licenses you have ordered and the Automation License Manager have been installed on your computer.


Displaying the installed software

Procedure
Notes on the system requirements Notes on licenses Starting installation Modifying or updating installed products Repairing installed products Starting to uninstall Installation log
Displaying the installed software

You can find out which software is installed at any time. In addition, you can display more information on the installed software.

Procedure

To display an overview of the software installed, follow these steps:

  1. Click "Installed software" in the "Help" menu.

    The "Installed software" dialog opens. You will see the installed software products in the dialog. Expand the entries to see which version is installed in each case.

  2. If you would like to display additional information on the installed automation software, click the link on the "Detailed information about installed software" dialog.

    The "Detailed information" dialog opens.

  3. Chose the topic you want more information about in the area navigation.


Modifying or updating installed products

Requirement Procedure Result
Notes on the system requirements Notes on licenses Starting installation Displaying the installed software Repairing installed products Starting to uninstall Installation log
Modifying or updating installed products

You have the option to modify installed products using the setup program or to update to a new version.

Blocks with know-how protection from earlier versions of the TIA Portal are not automatically upgraded with the project. Remove the know-how protection of the blocks before you update the TIA Portal. Then set up the know-how protection with the current version of TIA Portal. For more detailed information, refer to the information system.

Requirement

  • Hardware and software of the programming device or PC meet the system requirements.

  • You have administrator privileges on your computer.

  • All running programs are closed.

Procedure

To modify or update installed products, follow these steps:

  1. Insert the installation medium in the relevant drive.

    The setup program starts automatically unless you have disabled Autostart on the programming device or PC.

  2. If the setup program does not start up automatically, start it manually by double-clicking the "Start.exe" file.

    The dialog for selecting the setup language opens.

  3. Choose the language in which you want the setup program dialogs to be displayed.

  4. To read the information on the product and installation, click the "Read Notes" or "Installation Notes" button.

    The help file containing the notes opens.

  5. Once you have read the notes, close the help file and click the "Next" button.

    The dialog for selecting the installation variant opens.

  6. Select the "Modify/Upgrade" option button and click the "Next" button.

    The dialog for selecting the product languages opens.

  7. Select the check boxes of the product languages that you want to install. You can remove previously installed product languages by clearing the corresponding check boxes.

    Note

    Note that the product language "English" cannot be removed.

  8. Click the "Next" button.

    The dialog for selecting the product configuration opens.

  9. Select the check boxes of the components that you want to install. You can remove previously installed components by clearing the corresponding check boxes.

  10. Click the "Next" button.

    Note

    Note that you cannot change the target directory because the existing installation is being modified.

    If changes to the security and permission settings are required in order to install the TIA Portal, the security settings dialog opens.

  11. To continue the installation, accept the changes to the security and permissions settings, and click the "Next" button.

    The next dialog displays an overview of the installation settings.

  12. Click the "Modify" button.

    This starts the installation of the additional components.

    Note

    Following installation, you will receive a message indicating whether the existing installation was successfully changed.

  13. It may be necessary to restart the computer. If this is the case, select the "Yes, restart my computer now." option button. Then click "Restart".

  14. If the computer does not reboot, click "Exit".

Result

The existing installation has been modified on your computer.


Repairing installed products

Requirement Procedure Result
Notes on the system requirements Notes on licenses Starting installation Displaying the installed software Modifying or updating installed products Starting to uninstall Installation log
Repairing installed products

You have the option to repair installed products by completely reinstalling them using the setup program.

Requirement

  • Hardware and software of the programming device or PC meet the system requirements.

  • You have administrator privileges on your computer.

  • All running programs are closed.

Procedure

To repair installed products, follow these steps:

  1. Insert the installation medium in the relevant drive.

    The setup program starts automatically unless you have disabled Autostart on the programming device or PC.

  2. If the setup program does not start up automatically, start it manually by double-clicking the "Start.exe" file.

    The dialog for selecting the setup language opens.

  3. Choose the language in which you want the setup program dialogs to be displayed.

  4. To read the information on the product and installation, click the "Read Notes" or "Installation Notes" button.

    The help file containing the notes opens.

  5. Once you have read the notes, close the help file and click the "Next" button.

    The dialog for selecting the installation variant opens.

  6. Select the "Repair" option button, and click the "Next" button.

    The next dialog displays an overview of the installation settings.

  7. Click the "Repair" button.

    This starts the repair of the existing installation.

    Note

    Following installation, you will receive a message indicating whether the existing installation was successfully repaired.

  8. It may be necessary to restart the computer. If this is the case, select the "Yes, restart my computer now." option button. Then click "Restart".

  9. If the computer does not reboot, click "Exit".

Result

The installed products have been reinstalled.


Starting to uninstall

Introduction Removing selected components via the Control Panel Removing a product using the installation medium
Installation log Notes on the system requirements Notes on licenses Starting installation Displaying the installed software Modifying or updating installed products Repairing installed products
Starting to uninstall

Introduction

Software packages are removed automatically by the setup program. Once started, the setup program guides you step-by-step through the entire removal procedure.

You have two options for removing:

  • Removing selected components via the Control Panel

  • Removing a product using the installation medium

Note

The Automation License Manager will not be removed automatically when you remove the software packages, because it is used for the administration of several license keys for products supplied by Siemens AG.

Removing selected components via the Control Panel

To remove selected software packages, follow these steps:

  1. Open the Control Panel.

  2. Click "Programs and Features".

    A dialog with the list of installed programs opens.

  3. Select the software package to be removed and click the "Uninstall" button.

    The dialog for selecting the setup language opens.

  4. Select the language in which you want the dialogs of the setup program to be displayed and click "Next".

    The dialog for selecting the products you want to remove opens.

  5. Select the check boxes for the products that you want to remove and click "Next".

    The next dialog displays an overview of the installation settings.

  6. Check the list with the products to be removed. If you want to make any changes, click the "Back" button.

  7. Click the "Uninstall" button.

    Removal begins.

  8. It might be necessary to restart the computer. If this is the case, select the "Yes, restart my computer now." option button. Then click "Restart".

  9. If the computer does not reboot, click "Exit".

Removing a product using the installation medium

To remove all software packages, follow these steps:

  1. Insert the installation medium in the relevant drive.

    The setup program starts automatically unless you have disabled Autostart on the programming device or PC.

  2. If the setup program does not start up automatically, start it manually by double-clicking the "Start.exe" file.

    The dialog for selecting the setup language opens.

  3. Select the language in which you want the setup program dialogs to be displayed.

  4. To read the information on the product and installation, click "Read product information" or "Read installation notes".

    The help file containing the notes opens.

  5. Once you have read the notes, close the help file and click the "Next" button.

    The dialog for selecting the installation variant opens.

  6. Select the "Uninstall" option button and click the "Next" button.

    The next dialog displays an overview of the installation settings.

  7. Click the "Uninstall" button.

    Removal begins.

  8. It might be necessary to restart the computer. If this is the case, select the "Yes, restart my computer now." option button. Then click "Restart".

  9. If the computer does not reboot, click "Exit".


Installing updates and support packages

Installing updates and support packages

This section contains information on the following topics:
  • Checking availability of updates and support packages and installing them
  • Working with a company-internal server


Checking availability of updates and support packages and installing them

Deactivate or activate automatic search for software updates Manually searching for software updates Setting the server Downloading and installing software updates separately Downloading and installing several support packages in one step Alternative procedures for the installation of support packages
Installation log
Checking availability of updates and support packages and installing them

By default, the TIA Portal checks automatically if new software updates or support packages are available, for example, Hardware Support Packages (HSPs). The automatic search for updates takes place after each computer restart and then cyclically every 24 hours. You can also deactivate the automatic search at any time or reactivate it. You can also search for updates manually.

If updates are found, you can download and install them.

Note

Updates and support packages from TIA Portal V13 or higher are supported.

Deactivate or activate automatic search for software updates

To deactivate or reactivate the automatic search for software updates, follow these steps:

  1. Select the "Settings" command in the "Options" menu.

    The "Settings" window is displayed in the work area.

  2. Select the "General > Software Updates" group in the area navigation.

  3. Deselect the "Check for updates daily" check box if you want to deactivate the automatic search for software updates.

  4. Select the "Check for updates daily" check box if you want to reactivate the automatic search for software updates.

Manually searching for software updates

If you want to search for software updates manually, follow these steps:

  1. Click "Installed software" in the "Help" menu.

    The "Installed software" dialog opens.

  2. Click "Check for updates".

    The "TIA Updater" opens and the available updates are displayed.

Or:

  1. Select the "Settings" command in the "Options" menu.

    The "Settings" window is displayed in the work area.

  2. Select the "General > Software Updates" group in the area navigation.

  3. Click "Check for updates now".

    The "TIA Updater" opens and the available updates are displayed.

Or:

  1. Open the TIA Updater with "Start > All Programs > Siemens Automation > Totally Integrated Automation UPDATER".

  2. Click "Check for updates".

    The available updates are displayed.

Setting the server

You must set the corresponding server depending on whether you want to download updates and/or support packages from the TIA Automation Update Server or from a corporate server. To do this, follow these steps:

  1. Open the TIA Updater.

  2. Click "Options" and select the "TIA Automation Software Update Server" option in the dialog that appears in the "Server used to check for updates" area.
    The software searches for available updates on the server of the manufacturer.

Or:

  1. Open the TIA Updater.

  2. Click "Options" and select the "Corporate server" option in the dialog that appears in the "Server used to check for updates" area.

  3. Enter the server URL which you received from your administrator. The URL must be entered either in the format https://[URL of the server]/[path to the file directory] or in the format https://[server IP address]/[path to the directory]. If you are not sure which format to use, contact your administrator!
    The software looks for available updates on the server of your company.

  4. Check the name of the production line and change this if necessary "ProductionLine1" is set by default.
    The purpose of production lines is to provide different users with specific updates/support packages. If your company does not work with different production lines, retain the specified entry.
    You can find detailed information on creating projects and working with production lines in the help on the TIA Updater Corporate Configuration Tool.

You can set a different server on which the updates are to be searched for at any time. However, changing this setting is blocked during a download process. After switching the server, all downloaded updates and support packages are displayed, even if they are not available on the currently set server.

Downloading and installing software updates separately

To download and install available software updates and support packages, follow these steps:

  1. If the TIA Updater is not displayed, open it in one of these ways:

    • If the automatic search has found updates, you receive a message in the information area of the Windows taskbar and the icon for the TIA Update is displayed in the information area. Click either the message or the icon to open the TIA Updater.

    • Click "Installed software" in the "Help" menu and then "Check for updates".

    • In the Windows Start menu, click "Start > All Programs > Siemens Automation > Automation Software Updater".

  2. Click "Download" in the line of the update or support package that you want to install.

    The update or support package is downloaded. The associated "Install" button becomes active as soon as the download process has been completed.

    Note

    Please note the following:

    1. You can initiate multiple download processes simultaneously.

    2. You can log off or also shut down the computer while the download process is running. In such cases, the download process continues in the background as soon as you log on again.

    3. In some cases, a link to an external web page is displayed instead of the "Download" button. In this case, download the software update from this site and install it manually.

  3. Close the TIA Portal if it is still open.

  4. In the TIA Updater, click the "Install" button of the software package you want to install.

    The installation dialog appears.

    Note

    Please note the following:

    1. It is not possible to install multiple updates simultaneously.

    2. Do not log off during an installation and do not shut down the computer. This avoids inconsistent versions of the software on your computer.

  5. Click "Next".

    The selected product is installed.

Downloading and installing several support packages in one step

To download and install available support packages in one step, proceed as follows:

  1. Activate the required lines. You have several options for this:

    • To download and install all displayed support packages, activate the check mark in the title of the list.

    • To download and install several support packages, select the first required support package, hold down the <Ctrl> key and then select all further required support packages. Then set the check mark in one of the selected lines.

    • To download and install several support packages in a certain order, select the first required support package, hold down the <Shift> key and then select the last required support package.

  2. Click "Download and Install".

  3. After downloading click "Next" in the displayed dialog to start the installation. A dialog box is then displayed which informs you about the progress of the installation.

Note

Only support packages that are not subject to export restrictions can be downloaded and installed.

Alternative procedures for the installation of support packages

Another procedure is available for the installation of a support package. To do this, follow these steps:

  1. Click "Support packages" in the "Options" menu of the TIA Portal.

    The "Detailed information" dialog opens. A table lists all support packages from the directory that you selected as the storage location for support packages in the settings.

  2. If you want to install a support package that is not in the list, you have the following options:

    • If the support package is already on your computer, you can add it to the list by selecting "Add from file system".

    • If you add a support package from the "Service & Support" page on the Internet, first you download it by selecting "Download from the Internet". Then you can add it from the file system.

  3. Select the support package that you want to install.

  4. Click "Install".

  5. Close and then restart the TIA Portal.


Working with a company-internal server

Working with a company-internal server

This section contains information on the following topics:
  • Properties and advantage of a corporate server
  • Configuring a corporate server for updates
  • Providing updates on a corporate server


Properties and advantage of a corporate server

Introduction Configuring the server and creating projects Working with the server
Properties and advantage of a corporate server

Introduction

Using a corporate server, you can place selected updates / support packages on a local server and make them available to users, e.g. for different production lines. This has the advantage that users do not have to access the Internet, but can install updates via the intranet, an external hard disk, etc. Since users do not need direct access to the Internet, the protection against trojans or malicious software that contacts the Internet from the internal company network is significantly increased.

Configuring the server and creating projects

In the first phase, the corporate server is configured by a server administrator and the updates / support packages are deployed using the TIA Updater Corporate Configuration Tool. In addition, projects for different production lines can be created through which users can receive the updates they require. Users need to have access to the server area and have the name of the production line and be informed about the storage directory.

You can find detailed information on creating projects and working with production lines in the help on the TIA Updater Corporate Configuration Tool.

Working with the server

With the TIA Updater, users can download and install the updates and support packages that are relevant and relevant for them. Multiple download operations can be initiated at the same time. The installation of the updates / support packages must be done one after the other.


Configuring a corporate server for updates

Introduction Requirement Install Web server role (IIS) Create website Activating virtual directory Adding and configuring MIME type Activate BITS-IIS server extension Create a self-signed server certificate Create SSL binding Verify SSL binding Configure SSL settings Distributing updates to different areas
Configuring a corporate server for updates

Introduction

To provide available updates and support packages to users from a central location, you must configure a corporate server. Use the Microsoft Server Manager to do this.

The following is an example of the steps required to create and configure the server using the TIA Updater Corporate Configuration Tool (with the Microsoft Server 2016 operating system). Further settings which may be required for operation in your company are not covered in this description!

Note

Please note that the structure of the start menu and the storage location of the programs may vary depending on the different operating systems.

For more detailed information on configuration and operating the Server Manager, refer to the Microsoft help.

Requirement

You must have administrator rights.

Install Web server role (IIS)

To install the required Web server role, follow these steps:

  1. Open the start menu and select "Server Manager".

  2. Click "Add roles and features" in the dashboard.

  3. Use the "Add roles and features" wizard to add the Web server roles.
    Before the wizard starts, it is verified that a complex password has been assigned to the administrator, that the network settings have been configured accordingly and that the latest Windows security updates have been installed.

  4. Select "Role-based or feature-based installation" as the installation type and click "Next".

  5. Select the target server and click "Next".

  6. Note the pre-selected roles that are installed by default, and then select the additional role "Web Server (IIS)".

  7. Click "Add features" followed by "Next". The features for the web server are displayed.

  8. Click "Role 'Services" and make sure that the following features are selected or select them:

    "Web server" area

    • Default document

    • Directory browsing

    • HTTP errors

    • Static content

    "Health and diagnostics" area

    • HTTP logging

    • Request monitor

    "Performance features" area

    • Static content compression

    "Security" area

    • Request filtering

    "Application Development Features" area

    • .NET Extensibility 3.5

    • .NET Extensibility 4.6

    • ASP.NET 3.5

    • ASP.NET 4.6

    • ISAPI Extensions

    • ISAPI Filters

  9. Click "Next".

  10. Check your selection in the "Confirm installation selection" dialog box and click "Install".

"IIS" is added in the dashboard and can be further configured.

Create website

  1. In the navigation area, click "IIS" and right-click in the "Servers" area and select "Internet Information Services (IIS) Manager".

  2. In the "Connections" area, click "Sites" and then "Default Web site".

  3. Right-click to select the "Add Virtual Directory..." option.

  4. In the dialog that opens, enter a display name in the "Alias" field, for example, "TIAPortalUpdates".

  5. In the "Physical path" field, enter the physical path of the folder in which the website is located or click the button to browse (...), in order to search for the folder in the file system.

  6. Click "Test Settings..." to check whether the settings are correct.

  7. Click "OK".

Activating virtual directory

  1. In the area "Connections > Sites > Default Web site", select the virtual directory you created. In the "Features" view, double-click the item "Browse directory".

  2. Click "Enable" in the "Actions" area.

Adding and configuring MIME type

  1. In the "Connections" area, select the website you created.

  2. Double-click "MIME type" in the "Features" view.

  3. Click "Add" in the "Actions" area.

  4. Enter .* in the "File name extension" text field in the "Add MIME type" dialog.

  5. Enter "all/files" in the "MIME type" text field.

  6. Click "OK".

Activate BITS-IIS server extension

  1. Switch to the virtual directory in the IIS Manager.

  2. Double-click "BITS-Uploads" in the Features view of the virtual directory.

  3. Select the "Allow clients to upload files" check box and click "Apply".

Create a self-signed server certificate

  1. In the "Connections" area, navigate to the level which you want to manage.

  2. Double-click "Server Certificates" in the "Features" view.

  3. Click "Create Self-Signed Certificate" in the "Actions" area.

  4. In the "Create Self-Signed certificate" dialog, enter a display name for the certificate in the "Specify a friendly name for the certificate" field and click "OK".

Create SSL binding

  1. Expand the "Sites" entry in the "Connections" area, and then click the site to which you want to add a binding.

  2. Click "Bindings" in the "Actions" area.

  3. In the "Site Bindings" dialog, click "Add".

  4. In the "Add Site Binding" dialog, select the certificate you created under "Type" "https" and under "SSL certificate" and then click "OK".

Verify SSL binding

  1. In the "Actions" area, click the previously created binding under "Browse website".
    An error page is opened in Internet Explorer, because the self-signed certificate was created by your computer.

  2. Click "Continue to this website (not recommended)".
    This message is no longer displayed when you add the certificate to the "Trusted Root Certification Authorities" certificate memory.

Configure SSL settings

  1. Double-click "SSL settings" in the "Features" view.

  2. Use one of the following procedures in the "Client certificates" area of the "SSL Settings" dialog:

    • Select "Ignore" if no client certificates are to be accepted even if a client has a certificate.

    • Select "Accept" if client certificates are to be accepted.

    • Select "Require" if client certificates are to be required. The "Require SSL" option must be activated to allow the "Require client certificates" option to be used.

  3. Click "Apply" in the "Actions" area.

Distributing updates to different areas

It may be the case that different departments need different updates or support packages. In this situation, we recommend operating multiple servers which offer different updates and support packages. To do this, follow these steps:

  1. Set up different corporate servers as described above.

or

  1. Install the Web server role.

  2. Set up multiple websites.
    Make sure that you assign unique names for these websites and the physical paths so that there will be no confusion.

  3. Set the features described above for the Web server or the websites.

You can now store the required updates and support packages for the different departments in the defined directories.


Providing updates on a corporate server

Introduction Requirement Adding updates from the TIA Automation Software Update Server Canceling the download process Deleting updates from the corporate server Server options
Properties and advantage of a corporate server Configuring a corporate server for updates
Providing updates on a corporate server

Introduction

In the TIA Updater Corporate Configuration Tool, you can set a corporate server on which the available updates/support packages are stored and can be made available to the users.

Requirement

You must have administrator rights.

A corporate server can only be set up on a Microsoft server operating system, because it requires the operation of the BITS IIS service and a running IIS sever.

Adding updates from the TIA Automation Software Update Server

To add updates from the TIA Automation Software Update Server, follow these steps:

  1. Open the TIA Updater Corporate Configuration Tool.
    The available updates are displayed.

  2. Click the "Add update" button and select the "Add TIA Automation Software Update Server" check box in the dialog that appears.

  3. In the dialog "Add update from TIA Automation Software Update Server", select the required updates (software and support packages) and click "Add".
    If updates are already located on the corporate server, these are grayed out. You cannot load them again. During the download process, the status and the remaining time is displayed in the dialog.

Canceling the download process

To cancel the process, follow these steps:

  1. Click "Cancel download".

  2. Click "Yes" to confirm the dialog that appears.
    The download of the update is cancelled and it is deleted from the list.

Deleting updates from the corporate server

To delete updates, follow these steps:

  1. Select the required updates and click "Remove".

  2. Click "Yes" to confirm the dialog that appears.
    The selected updates have been deleted from the list.

Server options

In the dialog "TIA Automation Software Update Server", click "Settings" to determine the following:

  1. Under "Server path", specify the folder in which the downloads are to be saved. You can select either a local drive or a network drive.

    Note

    When you work directly on the server, the target directory is the same as the provision directory on the server. All changes are applied directly. This procedure is not recommended, as conflicts can occur with active downloads.

    We recommend that you work on another computer; the target directory can be any directory. The content of this directory must then still be copied to the provision directory. Here, also, make sure that no conflicts occur with active downloads.

  2. Select the check box "Always run server in background (icon is shown in the taskbar)", if the server is to always run in the background.

  3. Confirm your entries with "OK".


Installing support packages automatically

Installing support packages automatically

This section contains information on the following topics:
  • Installing support packages automatically
  • Return values from the installation process
  • Log file


Installing support packages automatically

Introduction Requirement Procedure
Return values from the installation process Log file
Installing support packages automatically

Introduction

As of V15.1, you can use the Support Package Installer to install or upgrade all support packages automatically via the command line; these include HSPs (hardware support packages) that are compatible with the installed version of the TIA Portal (e.g. isp.15_1).

Requirement

  • Hardware and software of the programming device or PC meet the system requirements.

  • You have administrator privileges on your computer.

  • All running programs have been closed.

Procedure

To start the installation with the desired options directly via the command line, proceed as follows:

  1. Open the Windows command prompt with "Start > Run > cmd".

  2. Switch to the directory that contains the "Siemens.Automation.SupportPackageInstaller.exe" file. This is the installation directory of your installed TIA Portal.

  3. In the command prompt, enter the following command:
    %Installation directory% > Siemens.Automation.SupportPackageInstaller.exe <Support Package(HSP)-storage directory> [-l <Name of log file>] [-warnaserror]

<Support Package-storage_directory>
Mandatory directory containing the support package files (*.isp). This can be either a local folder or a Remote Share.

-l <Storage location of log file>
This parameter is optional and specifies the path to the log file. If it is not set, the log file is created in the binary directory. However, you need to have write permissions in the storage folder.

-warnaserror
This parameter is optional and indicates that every message that would usually have been reported as a warning will be reported as an error instead. If a HSP does not meet the necessary conditions, for example, a corresponding return value/abort value is output to the command line and the affected HSP is skipped.

-?
This parameter is optional and shows the Help.

Note

  • If the storage directory or the name of the log file contains spaces, you need to place the name in quotation marks.

  • Only support packages located directly in the storage directory are considered; subdirectories are ignored. This means that the *.isp files must be located directly in the storage directory.


Return values from the installation process

Core statement
Installing support packages automatically Log file
Return values from the installation process

Core statement

The following table shows the return values and their descriptions:

Code | Description
0 | The installation was successful.
1 | The installation was successful and a restart is required.
-1 | The installation failed.
-2 | The installation failed: The TIA Portal is still running.
-3 | The installation failed: Another installation is already running.
-4 | The installation failed: You do not have sufficient rights. The installation requires administrator rights.
-6 | The installation failed: Insufficient memory space.
-7 | The installation failed: A restart is required before the installation can start.


Log file

Contents of the log file
Installing support packages automatically Return values from the installation process
Log file

Contents of the log file

The log file contains detailed information about every installation. If the log file already exists, it is supplemented. Headers and footers are created for each log file between which you can find the desired information.

An entry is generated for the following events:

  • Support packages that are listed in the storage directory and are available during the installation but could not be installed due to missing products. The entry in the log file indicates which products and which versions of these products are missing.

  • Support packages that could not be installed successfully.

  • Support packages that were installed successfully.

The file name of the HSP including the file extension is logged for each entry.


Installing and uninstalling the migration tool

Installing and uninstalling the migration tool

This section contains information on the following topics:
  • System requirements
  • Installing the migration tool
  • Uninstalling the migration tool


System requirements

System requirements for the migration tool
System requirements

System requirements for the migration tool

The following system requirements apply to the use of the migration tool:

  • All products used to create the source project must be installed. The following products are supported:

    • As of STEP 7 V5.4 SP5

    • WinCC V7.5 with the latest updates

    • As of WinCC flexible 2008 SP2

    • Integrated projects from STEP 7 V5.4 and the WinCC products listed above

    • STEP 7 Distributed Safety V5.4 SP5

    • F-Configuration Pack V5.4 SP5 up to V5.5 SP12

    • SINUMERIK STARTER and Startdrives

    • As of SIMOTION SCOUT V4.4

      You need the SCOUT Migration Tool PlugIn in the corresponding SCOUT TIA version to migrate SIMOTION SCOUT projects.

  • All optional packages needed to process the STEP 7 project are installed. For example, all HSPs for the devices used in the source project are required.

  • Microsoft .Net Framework 4.6.2 is installed. If Microsoft .Net Framework is not installed, the required version will be installed using the migration tool.


Installing the migration tool

Distribution of the migration tool Procedure
Installing the migration tool

Distribution of the migration tool

You can find the migration tool in the "Support" directory on the installation DVD of the TIA Portal. Alternatively, it is available for download from the Siemens Industry Online Support. For some products, (such as SIMATIC Failsafe or SIMOTION) additional plug-ins are required for the migration tool. These plug-ins can also be downloaded from the Siemens Industry Online Support or installed from the installation DVD of the specific products.

Normally, the migration tool is installed without the TIA Portal. Because the TIA Portal has its own integrated migration function, a separate installation of the migration tool is not necessary.

Procedure

To install the migration tool, proceed as follows:

  1. Download the installation file from the Siemens Industry Online Support, or use the installation file from the "Support" directory of the installation DVD of the TIA Portal to perform the installation.

  2. Run the installation file.

    The setup program for the migration tool will open.

  3. First, select the language in which the setup should be displayed and click "Next".

    The page for selecting the software language is displayed.

  4. Since the migration tool is provided exclusively in English, you cannot choose any other language for the installation. Therefore, click "Next" to proceed to the next step.

    The page for selecting the product is displayed.

  5. The migration tool consists solely of a software component. Therefore, the migration tool is already selected. Click "Next".

    The page for confirming the licensing terms is shown.

  6. Click on the entries in the list of license terms to read the license terms and security information. If you agree to the license terms, select the check box "I accept all terms of the listed license agreement(s)" and "I confirm that I have read and understood the security information on the safe operation of the products".

  7. Then click "Next".

    An overview of the installation is displayed.

  8. Click "Install".

    The installation is performed with the displayed settings.

    A restart of the computer is required after the installation of the migration tool.


Uninstalling the migration tool

Procedure
Uninstalling the migration tool

The migration tool can be removed using the Control Panel.

Procedure

To remove the migration tool, follow these steps:

  1. Open the Control Panel.

  2. Double-click on "Programs and Functions" in the control panel.

    The "Uninstall or Change a Program" dialog opens.

  3. Select the entry for the migration tool in the "Uninstall or Change a Program" dialog, and click "Uninstall".

    A security prompt appears.

  4. Click "Yes" to confirm this prompt.

    The setup program starts.

  5. Select the installation language and click "Next".

  6. Select the migration tool to uninstall and click "Next".

  7. Click "Uninstall".

    The migration tool will be removed.

  8. Click on "Exit" to close the setup program.


Installing and uninstalling the TIA project server

Installing and uninstalling the TIA project server

This section contains information on the following topics:
  • Notes on installing the project server
  • Installing a project server
  • Uninstalling a project server


Notes on installing the project server

Introduction Installation of the multiuser server with the TIA Portal Installation of the multiuser server as standalone installation Identical TIA Portal versions during installation Installation path Installation of a newer multiuser server Antivirus programs Supported virtualization platforms
Installing a project server Uninstalling a project server
Notes on installing the project server

Introduction

Installation of the multiuser server enables you to use the Multiuser Engineering functionality.

You can install the multiuser server as follows:

  • Together with the installation of the TIA Portal.

  • As standalone installation by means of a separate installation process without TIA Portal.

Note

Administrator rights are required for the server installation.

Installation of the multiuser server with the TIA Portal

The multiuser server is installed together with the following TIA Portal products:

  • SIMATIC STEP 7 Basic

  • SIMATIC STEP 7 Professional

  • SIMATIC WinCC Basic

  • SIMATIC WinCC Comfort/Advanced

  • SIMATIC WinCC Professional

The multiuser server is usually activated in the product selection by default and is then installed with the TIA Portal. Check the settings during installation of the TIA Portal. You can find the specific default settings for the Multiuser Server during setup when selecting the product in the "Options" directory. By selecting or clearing the options, you can specify if the multiuser server is to be installed along with the TIA Portal or not.

Installation of the multiuser server as standalone installation

The installation of the multiuser server can also be a standalone installation.

A description of automated installation is also available on the product DVD in the directory "Documents\Readme\<language directory>".

Identical TIA Portal versions during installation

When installing different TIA Portal products on various clients, make sure that all participants use the same versions of software products for the installation.

For example, if you have installed STEP 7 Professional, WinCC Advanced and Safety as well as the multiuser server with version Vx.y, all other Team Engineering devices must also have installed this software in identical versions.

The service packs and updates must be installed for all products at the same time.

Installation path

Do not use any UNICODE characters (for example, Chinese characters) in the installation path.

Installation of a newer multiuser server

Make sure that you install the new multiuser server first and then uninstall the older version of the multiuser server.

In this way, you ensure that the user authorizations for the server can be taken over for the new server. If all existing multiuser servers are completely deleted before the new installation, the user settings are lost and must be created again.

Antivirus programs

During the installation, read and write access to installed files is necessary. Some antivirus programs block this access. We therefore recommend that you disable antivirus programs during the installation of the multiuser server and enable them again afterwards.

Supported virtualization platforms

You can also install the multiuser server as well as the TIA Portal in a virtual machine.

For this purpose, use one of the following virtualization platforms in the specified version or a newer version:

  • VMware vSphere Hypervisor (ESXi) 6.5

  • VMware Workstation 12.5.7

  • VMware Player 12.5.7

  • Microsoft Hyper-V Server 2016

Installation of a visualization platform has the same requirements as the installation of the TIA Portal.


Installing a project server

Introduction Installation rules Requirements for installation Installing the project server with TIA Portal Result Installing the project server as standalone product Result
Notes on installing the project server Uninstalling a project server
Installing a project server

Introduction

The project server can be installed as part of the installation of TIA Portal or as standalone. If the project server is installed with TIA Portal, the version of the project server installed will always correspond to that of TIA Portal.

A description of automated installation is also available on the product DVD in the directory "Documents\Readme\<language directory>".

Note

New installation before uninstallation

Make sure that you install the new project server first and then uninstall the older version of the project server.

In this way, you ensure that the user authorizations for the server can be taken over for the new server. If all existing project servers are completely deleted before the new installation, the user settings are lost and must be created again.

Installation rules

Multiple versions of the project server can be installed on a computer and can use different project versions of TIA Portal.

Usable project versions:

Versions of the project server | Versions of TIA Portal
Server V16 | V16, V15.1, V15 and V14
Server V15.1 | V15.1, V15 and V14
Server V15 | V15 and V14
Server V14 | V14

Note, however, that each version of TIA Portal and the project server only has the functionality contained in this version.

Multiuser Engineering does not upgrade the project versions.

Requirements for installation

Installation of the project server has the same requirements as the installation of TIA Portal.

Installing the project server with TIA Portal

Follow these steps for installation:

  1. Note the requirements for the installation of the selected software package.

  2. Start the setup program of the required product by inserting the installation medium into the respective drive.

  3. Select the preferred settings and click the "Install" button.

  4. Make sure that the project server is selected in the product selection and observe the notes in the setup dialogs.

Result

The project server was installed on your computer together with TIA Portal.

Installing the project server as standalone product

Follow these steps for installation:

  1. Note the requirements for the installation of the project server.

  2. Start setup for the standalone installation of the project server with a double-click on the self-extracting .exe file "TIA_Portal_Project_Server_V<x.y>.exe". You can find these files in the directory "Support" on the corresponding product DVD.

  3. Select the preferred settings and click the "Install" button.

  4. Follow the instructions in the setup dialogs.

Result

The project server has been installed on your computer.


Uninstalling a project server

Introduction Requirements for removal Uninstalling a project server Result
Notes on installing the project server Installing a project server
Uninstalling a project server

Introduction

You can use the Control Panel to remove the project server.

Note

New installation before uninstallation

Make sure that you install the new project server first and then uninstall the older version of the project server.

In this way, you ensure that the user authorizations for the server can be taken over for the new server. If all existing project servers are completely deleted before the new installation, the user settings are lost and must be created again.

Requirements for removal

A project server is installed on your computer.

Uninstalling a project server

Proceed as follows for removal:

  1. Open the Control Panel.

  2. Click on "Uninstall a program" in the Control Panel.

    The "Uninstall or change a program" dialog opens.

  3. Right-click the entry for the "Project server" in the "'Uninstall or change a program" dialog, and click "Uninstall".

    A security prompt appears.

  4. Click "Yes" to confirm this prompt.

Result

The project server has been uninstalled from your computer.